import React from "react";
import { NumberOrCallback, SliceNumberOrCallback, StringOrCallback, VictoryCommonProps, VictoryStyleInterface } from "victory-core";
export type VictorySliceLabelPositionType = "startAngle" | "centroid" | "endAngle";
export type VictorySliceLabelPlacementType = "vertical" | "parallel" | "perpendicular";
export type VictorySliceTTargetType = "data" | "labels" | "parent";
export interface SliceProps extends VictoryCommonProps {
    ariaLabel?: StringOrCallback;
    cornerRadius?: SliceNumberOrCallback<SliceProps, "cornerRadius">;
    datum?: any;
    innerRadius?: NumberOrCallback;
    padAngle?: SliceNumberOrCallback<SliceProps, "padAngle">;
    pathComponent?: React.ReactElement;
    pathFunction?: (props: SliceProps) => string;
    radius?: SliceNumberOrCallback<SliceProps, "radius">;
    slice?: {
        startAngle?: number;
        endAngle?: number;
        padAngle?: number;
        data?: any[];
    };
    sliceEndAngle?: SliceNumberOrCallback<SliceProps, "sliceEndAngle">;
    sliceStartAngle?: SliceNumberOrCallback<SliceProps, "sliceStartAngle">;
    style?: VictoryStyleInterface;
    tabIndex?: NumberOrCallback;
    role?: string;
    shapeRendering?: string;
}
export declare const Slice: (initialProps: SliceProps) => React.DetailedReactHTMLElement<any, HTMLElement>;
//# sourceMappingURL=slice.d.ts.map